Guitar pro 6

погружаемся в мир звука, графики и видео
Правила форума
Правильно сформулированный вопрос и его грамотное оформление способствует высокой вероятности получения достаточно содержательного и по существу ответа.
В сети
Аватара пользователя

Автор темы
Chocobo
Сообщения: 5497
Зарегистрирован: 27 авг 2016, 19:57
Решено: 127
Откуда: НН
Благодарил (а): 410 раз
Поблагодарили: 1422 раза

Guitar pro 6

Сообщение Chocobo » 26 янв 2017, 18:29

Захотел тут поставить редактор табулатур Guitar Pro на 18.1, пошел на сайт, запррсил бесплатную (ограниченную) версию, прислали ссыль на .deb

C установкой возникла проблема, сначала отсутствие пакетов libportaudio0 и libssl0.9.8 (оба в i386) нашлись только для 14.04 но встали нормально.

А затем случилось самое интересное :hoho: :
Снимок экрана_2017-01-26_21-23-24.png

Код: Выделить всё

Пакеты, которые будут УДАЛЕНЫ:
  gdebi gksu libgksu2-0 mdm mint-meta-core mintdrivers sudo ubuntu-minimal
НОВЫЕ пакеты, которые будут установлены:
  breeze-icon-theme gksu:i386 kate-data katepart kde-runtime kde-runtime-data
  kde-style-breeze kde-style-breeze-qt4 kdelibs-bin kdelibs5-data
  kdelibs5-plugins kdoctools libaudit1:i386 libfam0 libgksu2-0:i386
  libgnome-keyring0:i386 libgtop-2.0-10:i386 libkactivities6
  libkatepartinterfaces4 libkcmutils4 libkde3support4 libkdeclarative5
  libkdesu5 libkdewebkit5 libkdnssd4 libkemoticons4 libkf5auth-data
  libkf5auth5 libkf5codecs-data libkf5codecs5 libkf5config-data
  libkf5configcore5 libkf5configgui5 libkf5configwidgets-data
  libkf5configwidgets5 libkf5coreaddons-data libkf5coreaddons5
  libkf5guiaddons5 libkf5i18n-data libkf5i18n5 libkf5iconthemes-data
  libkf5iconthemes5 libkf5itemviews-data libkf5itemviews5 libkf5style5
  libkf5widgetsaddons-data libkf5widgetsaddons5 libkf5windowsystem-data
  libkf5windowsystem5 libkfile4 libkhtml5 libkio5 libkjsapi4 libkjsembed4
  libkmediaplayer4 libknewstuff3-4 libknotifyconfig4 libkntlm4 libkparts4
  libkpty4 libkrosscore4 libktexteditor4 libkxmlrpcclient4 libnl-route-3-200
  libntrack-qt4-1 libntrack0 libpam-modules:i386 libpam0g:i386 libplasma3
  libpolkit-qt-1-1 libpolkit-qt5-1-1 libportaudio2:i386 libqca2 libqt5script5
  libsmbclient libsolid4 libstartup-notification0:i386 libstreamanalyzer0v5
  libstreams0v5 libthreadweaver4 libxcb-util1:i386 ntrack-module-libnl-0
  oxygen-icon-theme phonon plasma-scriptengine-javascript samba-libs sudo:i386
Пока не придумал как подружить софтинку с 18.1

Решение Chocobo » 27 янв 2017, 08:51
Пересобрал пакет, выкинув зависимость от gksu
Снимок экрана_2017-01-27_11-50-17.png
Выглядит норм, ща буду ставить :smile:

Перейти к ответу ➙
У вас нет необходимых прав для просмотра вложений в этом сообщении.

Аватара пользователя

Bill Williamson
Сообщения: 462
Зарегистрирован: 31 авг 2016, 10:38
Решено: 18
Благодарил (а): 171 раз
Поблагодарили: 97 раз

Guitar pro 6

Сообщение Bill Williamson » 26 янв 2017, 19:28

Странно, что кеды тащит. У меня в арч он только указанные здесь пакеты принес и все нормально встало.
Снимок экрана_2017-01-26_22-17-01.png
У вас нет необходимых прав для просмотра вложений в этом сообщении.

В сети
Аватара пользователя

Автор темы
Chocobo
Сообщения: 5497
Зарегистрирован: 27 авг 2016, 19:57
Решено: 127
Откуда: НН
Благодарил (а): 410 раз
Поблагодарили: 1422 раза

Guitar pro 6

Сообщение Chocobo » 27 янв 2017, 06:38

Bill Williamson, система 64-бита?
Просто смущает то, что он хочет притянуть на замену gksu:i386, sudo:i386

Аватара пользователя

Bill Williamson
Сообщения: 462
Зарегистрирован: 31 авг 2016, 10:38
Решено: 18
Благодарил (а): 171 раз
Поблагодарили: 97 раз

Guitar pro 6

Сообщение Bill Williamson » 27 янв 2017, 06:45

Chocobo,
inxi -Fxz
Resuming in non X mode: xrandr not found. For package install advice run: inxi --recommends
System: Host: dell-pc Kernel: 4.8.13-1-ARCH x86_64 (64 bit gcc: 6.2.1)
Desktop: Xfce 4.12.3 (Gtk 2.24.31) Distro: Arch Linux
Machine: Device: portable System: Dell product: Inspiron N5050
Mobo: Dell model: 01HXXJ v: A03 BIOS: Dell v: A03 date: 10/14/2011
Battery BAT0: charge: 44.0 Wh 1437.9% condition: 3.1/44.0 Wh (7%)
model: LGC-LGC2.2 DELL GK2X622 status: Full
CPU: Dual core Intel Core i3-2350M (-HT-MCP-) cache: 3072 KB
flags: (lm nx sse sse2 sse3 sse4_1 sse4_2 ssse3 vmx) bmips: 9182
clock speeds: max: 2300 MHz 1: 994 MHz 2: 813 MHz 3: 806 MHz
4: 805 MHz
Graphics: Card: Intel 2nd Generation Core Processor Family Integrated Graphics Controller
bus-ID: 00:02.0
Display Server: N/A drivers: intel (unloaded: modesetting,fbdev,vesa)
Resolution: 80x24
Audio: Card Intel 6 Series/C200 Series Family High Definition Audio Controller
driver: snd_hda_intel bus-ID: 00:1b.0
Sound: Advanced Linux Sound Architecture v: k4.8.13-1-ARCH
Network: Card-1: Realtek RTL8101/2/6E PCI Express Fast/Gigabit Ethernet controller
driver: r8169 v: 2.3LK-NAPI port: e000 bus-ID: 05:00.0
IF: enp5s0 state: down mac: <filter>
Card-2: Broadcom Limited BCM4313 802.11bgn Wireless Network Adapter
driver: wl bus-ID: 09:00.0
IF: wlp9s0 state: up mac: <filter>
Drives: HDD Total Size: 500.1GB (10.5% used)
ID-1: /dev/sda model: ST9500325AS size: 500.1GB
Partition: ID-1: / size: 98G used: 7.1G (8%) fs: ext4 dev: /dev/sda2
ID-2: /boot size: 97M used: 43M (47%) fs: ext2 dev: /dev/sda1
ID-3: /home size: 357G used: 41G (12%) fs: ext4 dev: /dev/sda4
ID-4: swap-1 size: 2.15GB used: 0.00GB (0%) fs: swap dev: /dev/sda3
Sensors: System Temperatures: cpu: 59.0C mobo: N/A
Fan Speeds (in rpm): cpu: N/A
Info: Processes: 169 Uptime: 3:36 Memory: 817.8/3864.4MB
Init: systemd Gcc sys: 6.3.1
Client: Shell (bash 4.4.51) inxi: 2.3.8

В сети
Аватара пользователя

Автор темы
Chocobo
Сообщения: 5497
Зарегистрирован: 27 авг 2016, 19:57
Решено: 127
Откуда: НН
Благодарил (а): 410 раз
Поблагодарили: 1422 раза

Guitar pro 6

Сообщение Chocobo » 27 янв 2017, 06:56

Bill Williamson, ок, спс, ясно.

Буду раскладывать пакет и смотреть что из зависимостей приводит к такому эффекту :wacko:


Unborn
Сообщения: 779
Зарегистрирован: 03 сен 2016, 10:36
Решено: 15
Благодарил (а): 2 раза
Поблагодарили: 118 раз

Guitar pro 6

Сообщение Unborn » 27 янв 2017, 07:20

Bill Williamson писал(а): Странно, что кеды тащит. У меня в арч он только указанные здесь пакеты принес и все нормально встало.
Что странного? Ты устанавливаешь из AUR, а Chocobo с оф. сайта. Эта софтина типа XMBC-Kodi для установки на х32 с Кедами. Или вообще ядро, иксы, она.

В сети
Аватара пользователя

Автор темы
Chocobo
Сообщения: 5497
Зарегистрирован: 27 авг 2016, 19:57
Решено: 127
Откуда: НН
Благодарил (а): 410 раз
Поблагодарили: 1422 раза

Guitar pro 6

Сообщение Chocobo » 27 янв 2017, 07:22

Да не. Обычный редактор десктопный для определенных форматов файлов.
Я даже не уверен что он на qt :smile:

Оттого и интересно, что же за хрень

Аватара пользователя

Bill Williamson
Сообщения: 462
Зарегистрирован: 31 авг 2016, 10:38
Решено: 18
Благодарил (а): 171 раз
Поблагодарили: 97 раз

Guitar pro 6

Сообщение Bill Williamson » 27 янв 2017, 07:46

Unborn писал(а): типа XMBC-Kodi для установки на х32 с Кедами
Не понял. Где связь между кедами и kodi?

В сети
Аватара пользователя

Автор темы
Chocobo
Сообщения: 5497
Зарегистрирован: 27 авг 2016, 19:57
Решено: 127
Откуда: НН
Благодарил (а): 410 раз
Поблагодарили: 1422 раза

Guitar pro 6

Сообщение Chocobo » 27 янв 2017, 07:55

Собственно долго искать не пришлось: смотрим в control внутри deb:

Код: Выделить всё

age: GuitarPro6
Version: 6.1.9
Section: non-free/audio
Priority: optional
Architecture: i386
Depends: gksu, libasound2, libc6 (>= 2.1.3), libglu1-mesa, libportaudio0, libportaudio2, libssl0.9.8, libstdc++6, libxml2, libxslt1.1, zlib1g
Installed-Size: 221569
Maintainer: Arobas Music <contact@arobas-music.com>
Description: http://www.guitar-pro.com
 Guitar Pro 6, Linux Version.
Берем первую зависимость по порядку:

Код: Выделить всё

chocobo@desktop ~ $ apt install gksu:i386
[sudo] пароль для chocobo: 
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Будут установлены следующие дополнительные пакеты:
  breeze-icon-theme kate-data katepart kde-runtime kde-runtime-data
  kde-style-breeze kde-style-breeze-qt4 kdelibs-bin kdelibs5-data
  kdelibs5-plugins kdoctools libaudit1:i386 libfam0 libgksu2-0:i386
  libgnome-keyring0:i386 libgtop-2.0-10:i386 libkactivities6
  libkatepartinterfaces4 libkcmutils4 libkde3support4 libkdeclarative5
  libkdesu5 libkdewebkit5 libkdnssd4 libkemoticons4 libkf5auth-data libkf5auth5
  libkf5codecs-data libkf5codecs5 libkf5config-data libkf5configcore5
  libkf5configgui5 libkf5configwidgets-data libkf5configwidgets5
  libkf5coreaddons-data libkf5coreaddons5 libkf5guiaddons5 libkf5i18n-data
  libkf5i18n5 libkf5iconthemes-data libkf5iconthemes5 libkf5itemviews-data
  libkf5itemviews5 libkf5style5 libkf5widgetsaddons-data libkf5widgetsaddons5
  libkf5windowsystem-data libkf5windowsystem5 libkfile4 libkhtml5 libkio5
  libkjsapi4 libkjsembed4 libkmediaplayer4 libknewstuff3-4 libknotifyconfig4
  libkntlm4 libkparts4 libkpty4 libkrosscore4 libktexteditor4 libkxmlrpcclient4
  libnl-route-3-200 libntrack-qt4-1 libntrack0 libpam-modules:i386
  libpam0g:i386 libplasma3 libpolkit-qt-1-1 libpolkit-qt5-1-1 libqca2
  libqt5script5 libsmbclient libsolid4 libstartup-notification0:i386
  libstreamanalyzer0v5 libstreams0v5 libthreadweaver4 libxcb-util1:i386
  ntrack-module-libnl-0 oxygen-icon-theme phonon plasma-scriptengine-javascript
  sudo:i386
Предлагаемые пакеты:
  djvulibre-bin finger fam libpam-doc:i386 phonon-backend-gstreamer
  phonon-backend-mplayer phonon-backend-vlc
Рекомендуемые пакеты:
  icoutils kactivities libkf5config-bin libkf5iconthemes-bin
  kwayland-integration qtwayland5 update-motd:i386 libqca2-plugins
Пакеты, которые будут УДАЛЕНЫ:
  gdebi gksu libgksu2-0 mdm mint-meta-core mintdrivers sudo ubuntu-minimal
НОВЫЕ пакеты, которые будут установлены:
  breeze-icon-theme gksu:i386 kate-data katepart kde-runtime kde-runtime-data
  kde-style-breeze kde-style-breeze-qt4 kdelibs-bin kdelibs5-data
  kdelibs5-plugins kdoctools libaudit1:i386 libfam0 libgksu2-0:i386
  libgnome-keyring0:i386 libgtop-2.0-10:i386 libkactivities6
  libkatepartinterfaces4 libkcmutils4 libkde3support4 libkdeclarative5
  libkdesu5 libkdewebkit5 libkdnssd4 libkemoticons4 libkf5auth-data libkf5auth5
  libkf5codecs-data libkf5codecs5 libkf5config-data libkf5configcore5
  libkf5configgui5 libkf5configwidgets-data libkf5configwidgets5
  libkf5coreaddons-data libkf5coreaddons5 libkf5guiaddons5 libkf5i18n-data
  libkf5i18n5 libkf5iconthemes-data libkf5iconthemes5 libkf5itemviews-data
  libkf5itemviews5 libkf5style5 libkf5widgetsaddons-data libkf5widgetsaddons5
  libkf5windowsystem-data libkf5windowsystem5 libkfile4 libkhtml5 libkio5
  libkjsapi4 libkjsembed4 libkmediaplayer4 libknewstuff3-4 libknotifyconfig4
  libkntlm4 libkparts4 libkpty4 libkrosscore4 libktexteditor4 libkxmlrpcclient4
  libnl-route-3-200 libntrack-qt4-1 libntrack0 libpam-modules:i386
  libpam0g:i386 libplasma3 libpolkit-qt-1-1 libpolkit-qt5-1-1 libqca2
  libqt5script5 libsmbclient libsolid4 libstartup-notification0:i386
  libstreamanalyzer0v5 libstreams0v5 libthreadweaver4 libxcb-util1:i386
  ntrack-module-libnl-0 oxygen-icon-theme phonon plasma-scriptengine-javascript
  sudo:i386
обновлено 0, установлено 85 новых пакетов, для удаления отмечено 8 пакетов, и 8 пакетов не обновлено.
Необходимо скачать 31,1 MB/31,3 MB архивов.
После данной операции, объём занятого дискового пространства возрастёт на 172 MB.
Хотите продолжить? [Д/н] 
Жесть :-D


Unborn
Сообщения: 779
Зарегистрирован: 03 сен 2016, 10:36
Решено: 15
Благодарил (а): 2 раза
Поблагодарили: 118 раз

Guitar pro 6

Сообщение Unborn » 27 янв 2017, 08:06

Chocobo писал(а): Да не. Обычный редактор десктопный для определенных форматов файлов.
Тогда вообще странно, он сносит mdm. А в замен? Явно кедовская софтина по пакетам.
Bill Williamson писал(а): Не понял. Где связь между кедами и kodi?
Я думал это вообще какая-то мощная мульмедийка (платно ведь), может работать как ДЕ, а оказалось, что просто редактор.

В сети
Аватара пользователя

Автор темы
Chocobo
Сообщения: 5497
Зарегистрирован: 27 авг 2016, 19:57
Решено: 127
Откуда: НН
Благодарил (а): 410 раз
Поблагодарили: 1422 раза

Guitar pro 6

Сообщение Chocobo » 27 янв 2017, 08:51

Пересобрал пакет, выкинув зависимость от gksu
Снимок экрана_2017-01-27_11-50-17.png
Выглядит норм, ща буду ставить :smile:
У вас нет необходимых прав для просмотра вложений в этом сообщении.

В сети
Аватара пользователя

Автор темы
Chocobo
Сообщения: 5497
Зарегистрирован: 27 авг 2016, 19:57
Решено: 127
Откуда: НН
Благодарил (а): 410 раз
Поблагодарили: 1422 раза

Guitar pro 6

Сообщение Chocobo » 27 янв 2017, 08:56

Все взлетело
:dance: :dance2:
Снимок экрана_2017-01-27_11-52-40.png
Снимок экрана_2017-01-27_11-53-41.png
Теперь можно смело думать о покупке лицензии (демка все ж вряд ли покроет необходимость)
У вас нет необходимых прав для просмотра вложений в этом сообщении.

Вернуться в «Мультимедиа»